---
product: "AG Grid"
title: "Legacy Themes: Customising Colours & Fonts"
description: "Change the overall colour scheme and appearance of data."
framework: vue
version: "36.2.0"
llms: "https://www.ag-grid.com/archive/36.2.0/llms.txt"
---

# Legacy Themes: Customising Colours & Fonts

Change the overall colour scheme and appearance of data.

> **Note**
>
> This page describes the grid's legacy theming system that was the default in v32 and before, for the benefit of applications that have not yet migrated to the Theming API. These themes are deprecated and will be removed in a future major version. You may want to visit the [new theming docs](https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-colors/) or check out the [migration guide](https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-migration/).

The grid exposes many CSS `--ag-*-color` variables that affect the colour of elements. `--ag-font-size` and `--ag-font-family` control the default font for the grid.

## Example

```css
.ag-theme-quartz {
    --ag-foreground-color: rgb(126, 46, 132);
    --ag-background-color: rgb(249, 245, 227);
    --ag-header-foreground-color: rgb(204, 245, 172);
    --ag-header-background-color: rgb(209, 64, 129);
    --ag-odd-row-background-color: rgb(0, 0, 0, 0.03);
    --ag-header-column-resize-handle-color: rgb(126, 46, 132);

    --ag-font-size: 17px;
    --ag-font-family: monospace;
}
```

The above code produces these results:

#### Colour Customisation

```ts
import {
  createApp,
  defineComponent,
  onBeforeMount,
  ref,
  shallowRef,
} from "vue";
import { AgGridVue } from "ag-grid-vue3";
import "./styles.css";
import "ag-grid-community/styles/ag-grid.css";
import "ag-grid-community/styles/ag-theme-quartz.css";
import {
  ClientSideRowModelModule,
  ColDef,
  ColGroupDef,
  GridApi,
  GridOptions,
  GridReadyEvent,
  ModuleRegistry,
  NumberEditorModule,
  NumberFilterModule,
  TextEditorModule,
  TextFilterModule,
  Theme,
  enableDevValidations,
} from "ag-grid-community";
import { IOlympicData } from "./interfaces";

if (process.env.NODE_ENV !== "production") {
  // Enable extended validations only for development
  enableDevValidations();
}

ModuleRegistry.registerModules([
  NumberEditorModule,
  TextEditorModule,
  TextFilterModule,
  NumberFilterModule,
  ClientSideRowModelModule,
]);

const VueExample = defineComponent({
  template: `
        <div style="height: 100%">
                <ag-grid-vue
      style="width: 100%; height: 100%;"
      class="ag-theme-quartz"
      @grid-ready="onGridReady"
      :columnDefs="columnDefs"
      :theme="theme"
      :defaultColDef="defaultColDef"
      :rowData="rowData"></ag-grid-vue>
        </div>
    `,
  components: {
    "ag-grid-vue": AgGridVue,
  },
  setup(props) {
    const gridApi = shallowRef<GridApi<IOlympicData> | null>(null);
    const columnDefs = ref<ColDef[]>([
      { field: "athlete", minWidth: 170 },
      { field: "age" },
      { field: "country" },
      { field: "year" },
      { field: "date" },
      { field: "sport" },
      { field: "gold" },
      { field: "silver" },
      { field: "bronze" },
      { field: "total" },
    ]);
    const theme = ref<Theme | "legacy">("legacy");
    const defaultColDef = ref<ColDef>({
      editable: true,
      filter: true,
    });
    const rowData = ref<IOlympicData[]>(null);

    const onGridReady = (params: GridReadyEvent) => {
      gridApi.value = params.api;

      const updateData = (data) => (rowData.value = data);

      fetch("https://www.ag-grid.com/example-assets/olympic-winners.json")
        .then((resp) => resp.json())
        .then((data) => updateData(data));
    };

    return {
      gridApi,
      columnDefs,
      theme,
      defaultColDef,
      rowData,
      onGridReady,
    };
  },
});

const app = createApp(VueExample);
app.mount("#app");
```

[Live example: Colour Customisation](https://www.ag-grid.com/archive/36.2.0/examples/theming-v32-customisation-colours/colour-customisation/vue3/)

## Key colour variables

Some of the most important colour variables are listed below. For the full list check the full [CSS variables reference](https://www.ag-grid.com/archive/36.2.0/vue-data-grid/theming-v32-customisation-variables/) - every colour variable ends with `-color`.

| Property | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `--ag-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-alpine-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-balham-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-material-primary-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-material-accent-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-secondary-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-data-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-header-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-header-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-disabled-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-odd-row-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-row-hover-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-border-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-row-border-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |

> **Note**
>
> There are a lot of colour variables - the easiest way to find the variable that colours a specific element is often to inspect the element in your browser's developer tools and check the value of its `color` or `background-color` properties.

## Colour blending

The Quartz theme automatically generates semi-transparent versions of colour variables based on the ones that you define. For example if you set `--ag-active-color` to `red` then `--ag-range-selection-background-color` will default to a 20% opaque red.

If you're on a theme other than Quartz, you can achieve this effect yourself using the CSS [color-mix()](https://developer.mozilla.org/en-US/docs/Web/CSS/color_value/color-mix) function. Here is how you would set the range selection background to a 20% opaque red when using the Alpine theme:

```css
.ag-theme-alpine {
    --ag-range-selection-background-color: color-mix(in srgb, transparent, red 20%);
}
```


---
product: "AG Grid"
title: "Legacy Themes: Customising Colours & Fonts"
description: "Change the overall colour scheme and appearance of data."
framework: angular
version: "36.2.0"
llms: "https://www.ag-grid.com/archive/36.2.0/llms.txt"
---

# Legacy Themes: Customising Colours & Fonts

Change the overall colour scheme and appearance of data.

> **Note**
>
> This page describes the grid's legacy theming system that was the default in v32 and before, for the benefit of applications that have not yet migrated to the Theming API. These themes are deprecated and will be removed in a future major version. You may want to visit the [new theming docs](https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-colors/) or check out the [migration guide](https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-migration/).

The grid exposes many CSS `--ag-*-color` variables that affect the colour of elements. `--ag-font-size` and `--ag-font-family` control the default font for the grid.

## Example

```css
.ag-theme-quartz {
    --ag-foreground-color: rgb(126, 46, 132);
    --ag-background-color: rgb(249, 245, 227);
    --ag-header-foreground-color: rgb(204, 245, 172);
    --ag-header-background-color: rgb(209, 64, 129);
    --ag-odd-row-background-color: rgb(0, 0, 0, 0.03);
    --ag-header-column-resize-handle-color: rgb(126, 46, 132);

    --ag-font-size: 17px;
    --ag-font-family: monospace;
}
```

The above code produces these results:

#### Colour Customisation

```ts
import { Component } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { AgGridAngular } from "ag-grid-angular";
import "./styles.css";
import "ag-grid-community/styles/ag-grid.css";
import "ag-grid-community/styles/ag-theme-quartz.css";
import {
  ClientSideRowModelModule,
  ColDef,
  ColGroupDef,
  GridApi,
  GridOptions,
  GridReadyEvent,
  ModuleRegistry,
  NumberEditorModule,
  NumberFilterModule,
  TextEditorModule,
  TextFilterModule,
  Theme,
  enableDevValidations,
} from "ag-grid-community";

if (process.env.NODE_ENV !== "production") {
  // Enable extended validations only for development
  enableDevValidations();
}

ModuleRegistry.registerModules([
  NumberEditorModule,
  TextEditorModule,
  TextFilterModule,
  NumberFilterModule,
  ClientSideRowModelModule,
]);
import { IOlympicData } from "./interfaces";

@Component({
  selector: "my-app",
  standalone: true,
  imports: [AgGridAngular],
  template: `<ag-grid-angular
    style="width: 100%; height: 100%;"
    class="ag-theme-quartz"
    [columnDefs]="columnDefs"
    [theme]="theme"
    [defaultColDef]="defaultColDef"
    [rowData]="rowData"
    (gridReady)="onGridReady($event)"
  /> `,
})
export class AppComponent {
  columnDefs: ColDef[] = [
    { field: "athlete", minWidth: 170 },
    { field: "age" },
    { field: "country" },
    { field: "year" },
    { field: "date" },
    { field: "sport" },
    { field: "gold" },
    { field: "silver" },
    { field: "bronze" },
    { field: "total" },
  ];
  theme: Theme | "legacy" = "legacy";
  defaultColDef: ColDef = {
    editable: true,
    filter: true,
  };
  rowData!: IOlympicData[];

  constructor(private http: HttpClient) {}

  onGridReady(params: GridReadyEvent<IOlympicData>) {
    this.http
      .get<
        IOlympicData[]
      >("https://www.ag-grid.com/example-assets/olympic-winners.json")
      .subscribe((data) => (this.rowData = data));
  }
}
```

[Live example: Colour Customisation](https://www.ag-grid.com/archive/36.2.0/examples/theming-v32-customisation-colours/colour-customisation/angular/)

## Key colour variables

Some of the most important colour variables are listed below. For the full list check the full [CSS variables reference](https://www.ag-grid.com/archive/36.2.0/angular-data-grid/theming-v32-customisation-variables/) - every colour variable ends with `-color`.

| Property | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `--ag-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-alpine-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-balham-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-material-primary-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-material-accent-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-secondary-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-data-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-header-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-header-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-disabled-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-odd-row-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-row-hover-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-border-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-row-border-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |

> **Note**
>
> There are a lot of colour variables - the easiest way to find the variable that colours a specific element is often to inspect the element in your browser's developer tools and check the value of its `color` or `background-color` properties.

## Colour blending

The Quartz theme automatically generates semi-transparent versions of colour variables based on the ones that you define. For example if you set `--ag-active-color` to `red` then `--ag-range-selection-background-color` will default to a 20% opaque red.

If you're on a theme other than Quartz, you can achieve this effect yourself using the CSS [color-mix()](https://developer.mozilla.org/en-US/docs/Web/CSS/color_value/color-mix) function. Here is how you would set the range selection background to a 20% opaque red when using the Alpine theme:

```css
.ag-theme-alpine {
    --ag-range-selection-background-color: color-mix(in srgb, transparent, red 20%);
}
```


---
product: "AG Grid"
title: "Legacy Themes: Customising Colours & Fonts"
description: "Change the overall colour scheme and appearance of data."
framework: react
version: "36.2.0"
llms: "https://www.ag-grid.com/archive/36.2.0/llms.txt"
---

# Legacy Themes: Customising Colours & Fonts

Change the overall colour scheme and appearance of data.

> **Note**
>
> This page describes the grid's legacy theming system that was the default in v32 and before, for the benefit of applications that have not yet migrated to the Theming API. These themes are deprecated and will be removed in a future major version. You may want to visit the [new theming docs](https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-colors/) or check out the [migration guide](https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-migration/).

The grid exposes many CSS `--ag-*-color` variables that affect the colour of elements. `--ag-font-size` and `--ag-font-family` control the default font for the grid.

## Example

```css
.ag-theme-quartz {
    --ag-foreground-color: rgb(126, 46, 132);
    --ag-background-color: rgb(249, 245, 227);
    --ag-header-foreground-color: rgb(204, 245, 172);
    --ag-header-background-color: rgb(209, 64, 129);
    --ag-odd-row-background-color: rgb(0, 0, 0, 0.03);
    --ag-header-column-resize-handle-color: rgb(126, 46, 132);

    --ag-font-size: 17px;
    --ag-font-family: monospace;
}
```

The above code produces these results:

#### Colour Customisation

```tsx
"use client";

import React, {
  useCallback,
  useMemo,
  useRef,
  useState,
  StrictMode,
} from "react";
import { createRoot } from "react-dom/client";
import { AgGridReact, AgGridProvider } from "ag-grid-react";
import "./styles.css";
import "ag-grid-community/styles/ag-grid.css";
import "ag-grid-community/styles/ag-theme-quartz.css";
import {
  ClientSideRowModelModule,
  ColDef,
  ColGroupDef,
  GridApi,
  GridOptions,
  ModuleRegistry,
  NumberEditorModule,
  NumberFilterModule,
  TextEditorModule,
  TextFilterModule,
  Theme,
  enableDevValidations,
} from "ag-grid-community";
import { IOlympicData } from "./interfaces";
import { useFetchJson } from "./useFetchJson";

if (process.env.NODE_ENV !== "production") {
  // Enable extended validations only for development
  enableDevValidations();
}

const modules = [
  NumberEditorModule,
  TextEditorModule,
  TextFilterModule,
  NumberFilterModule,
  ClientSideRowModelModule,
];

const GridExample = () => {
  const containerStyle = useMemo(() => ({ width: "100%", height: "100%" }), []);
  const gridStyle = useMemo(() => ({ height: "100%", width: "100%" }), []);

  const [columnDefs, setColumnDefs] = useState<ColDef[]>([
    { field: "athlete", minWidth: 170 },
    { field: "age" },
    { field: "country" },
    { field: "year" },
    { field: "date" },
    { field: "sport" },
    { field: "gold" },
    { field: "silver" },
    { field: "bronze" },
    { field: "total" },
  ]);
  const defaultColDef = useMemo<ColDef>(() => {
    return {
      editable: true,
      filter: true,
    };
  }, []);

  const { data, loading } = useFetchJson<IOlympicData>(
    "https://www.ag-grid.com/example-assets/olympic-winners.json",
  );

  return (
    <AgGridProvider modules={modules}>
      <div style={containerStyle}>
        <div style={gridStyle} className="ag-theme-quartz">
          <AgGridReact<IOlympicData>
            rowData={data}
            loading={loading}
            columnDefs={columnDefs}
            theme={"legacy"}
            defaultColDef={defaultColDef}
          />
        </div>
      </div>
    </AgGridProvider>
  );
};

const root = createRoot(document.getElementById("root")!);
root.render(
  <StrictMode>
    <GridExample />
  </StrictMode>,
);
```

[Live example: Colour Customisation](https://www.ag-grid.com/archive/36.2.0/examples/theming-v32-customisation-colours/colour-customisation/reactFunctionalTs/)

## Key colour variables

Some of the most important colour variables are listed below. For the full list check the full [CSS variables reference](https://www.ag-grid.com/archive/36.2.0/react-data-grid/theming-v32-customisation-variables/) - every colour variable ends with `-color`.

| Property | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `--ag-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-alpine-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-balham-active-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-material-primary-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-material-accent-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-secondary-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-data-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-header-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-header-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-disabled-foreground-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-odd-row-background-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-row-hover-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-border-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |
| `--ag-row-border-color` | `CSS color (e.g. `red` or `#fff`)` |  |  |  |

> **Note**
>
> There are a lot of colour variables - the easiest way to find the variable that colours a specific element is often to inspect the element in your browser's developer tools and check the value of its `color` or `background-color` properties.

## Colour blending

The Quartz theme automatically generates semi-transparent versions of colour variables based on the ones that you define. For example if you set `--ag-active-color` to `red` then `--ag-range-selection-background-color` will default to a 20% opaque red.

If you're on a theme other than Quartz, you can achieve this effect yourself using the CSS [color-mix()](https://developer.mozilla.org/en-US/docs/Web/CSS/color_value/color-mix) function. Here is how you would set the range selection background to a 20% opaque red when using the Alpine theme:

```css
.ag-theme-alpine {
    --ag-range-selection-background-color: color-mix(in srgb, transparent, red 20%);
}
```
